Routes

Initiate collection

POSThttps://api.insurely.com/collections

Initiate a wealth data collection. Calling this will trigger the selected login method.

Request

Header Parameters

Insurely-Versionstring

Specifies the API version to use. Must match the version of the endpoint you are targeting.

Possible Enum values are 2026-04-01.

Request Body

companystring

The company to target for the collection.

loginMethodstring

The login method to use for authentication.

parametersArray<object>

Typed parameters describing how to authenticate, consent and scope the collection. Can be empty or null depending on the loginMethod provided.

One of these types:

Properties below are from the DanishMitIdParameter subtype. View the full schema for full details.

Credentials for Danish MitID (any/same device).

userIdstring

MitID user identifier. CPR numbers are not accepted.

Responses

Data collection successfully initiated.

Body

companystring

Company that this collection is from

A key-value map containing potential extra information, depending on the company the collection is getting data from.

idstring

The collection ID of the request

pollingTimeoutstring[date-time]

The collection status must be polled before this timestamp. Failure to do so may result in the termination of the collection.

statusstring

Current status of the collection.

Possible Enum values are RUNNING, LOGIN, TWO_FACTOR_PENDING, TWO_FACTOR_METHOD_SELECTION_TIMEOUT, CONTACT_FORM_PENDING, COLLECTION_INPUT_PENDING, COLLECTION_INPUT_TIMEOUT, COLLECTING, COMPLETED, COMPLETED_PARTIAL, COMPLETED_EMPTY, FAILED, FAILED_PDF_PARSE, FAILED_PDF_USER_INPUT, AUTHENTICATION_TIMEOUT, WAITING_FOR_USER_ACTION, INCORRECT_CREDENTIALS, AUTHENTICATION_CANCELLED, AUTHENTICATION_CONFLICT, ACCOUNT_TEMPORARILY_LOCKED, AUTHENTICATION_MISMATCH, KYC_FORM, CONTACT_FORM, CUSTOMER_ENROLLMENT_REQUIRED or THIRD_PARTY_ERROR.
cURL
curl https://api.insurely.com/collections \
  -H "authorization-token: <authorization-token>" \
  -H "Content-Type: application/json" \
  -d '{
  "company": "se-avanza",
  "loginMethod": "SWEDISH_MOBILE_BANKID_OTHER_DEVICE",
  "parameters": [
    {
      "personalNumber": "199001011234",
      "type": "SWEDISH_BANKID"
    }
  ]
}' \
  -X POST
RESPONSE 201
{
  "company": "se-avanza",
  "extraInformation": null,
  "id": "22e633bc-427d-4f4a-87cf-cfaca04ef351",
  "pollingTimeout": "2024-09-26T12:59:10.545Z",
  "status": "RUNNING"
}